/*
blue: 0,11,188
analagous: 137,0,188
analagous2: 0, 129, 188
Triadic - 188, 73, 0
triadic2 - 100, 188, 0
Complementary - 188, 157, 0
*/

@-webkit-keyframes waiting{
    0%{
        border: 0px solid black;
    }
    50%{
        border: 10px solid green;
    }
    100%{
        border: 0px solid black;
    }
}
@keyframes waiting {
    0% {
        border: 0px solid black;
    }
    50% {
        border: 10px solid green;
    }
    100% {
        border: 0px solid black;
    }
}

@-webkit-keyframes myMove{
    0%{
        border-width: 0px;
        border-radius: 0px;

    }
    50%{
        border-width: 10px;
        border-radius: 10px;

    }
    100%{
        border-width: 0px;
        border-radius: 0px;
    }
}
@keyframes myMove{
    0%{
        border-width: 0px;
        border-radius: 0px;

    }
    50%{
        border-width: 10px;
        border-radius: 10px;

    }
    100%{
        border-width: 0px;
        border-radius: 0px;
    }
}
#userHeader{
    background: linear-gradient(to right, navy 0%, silver 50%, navy 100%);
    text-align: right;
    color: white;
    font-family: 'Century Gothic', 'Optima',  sans-serif;
    height: 25px;
}
#userHeader .button{
    margin-left: 5px;

}
nav{
    background: linear-gradient(to right, navy 0%, silver 50%, navy 100%);
    height: 25px;

}
header{
    height: 55px;
}
header img{
    display: block;

    margin: 5px auto;
}
h1, h2, h3{
    color: rgb(249,85,0);
    font-family: 'Century Gothic', 'Optima',  sans-serif;
}

#mainForm{

    padding: 10px;
    background-color: navy;
    position: fixed;
    top: 115px;
    bottom: 5px;
    left: 8px;
    right: 8px;

   }

.flexContainer{
    display: flex;
    flex-flow: row wrap;
}
/********************
*   input form
*********************/

#studentQuestionsTable{
    display: table;
    width: 400px;
    margin-left: auto;
    margin-right: auto;

}
.studentQuestions{
    display: table-row;
    margin: 5px;
    width: 400px;

}
#studentQuestions label, #studentQuestions input, #studentQuestions select{
    display: table-cell;
    width: 200px;
    padding: 5px;
    vertical-align: middle;
    height: auto;
}

#mainForm label{
    font-weight: bold;
}
.statementText{
    display: block;
    font-weight: normal !important;
    background-color: bisque;
    padding: 5px;
    margin: 5px;

}




/*************************
*       Messages Setup
*************************/

#messages{
    position: fixed;
    right: 10px;
    top: 25px;
    background-color: transparent;
    width: 200px;
    z-index: 100;
}
.message{
    display:block;
    padding: 5px;
    font-size: 1em;
    font-family: 'Book Antiqua', serif;
    color: navy;
    background-color: rgba(255,255,255,0.86);
    margin: 5px 0px;
    text-wrap: normal;

    width:190px;
    position: relative;
    transition: all 0.3s;
    box-shadow: 2px 2px silver;
    box-sizing: border-box;
}
.message > .button{
    position: absolute;
    top: 0px;
    right: 0px;
    opacity: 0;
    pointer-events: none;


}
.message:hover{
    opacity: 1;

}
.message:hover > .button{
    opacity: 1;
    pointer-events: all;
}

/***********************
*       button setup
************************/
.button{
    display: inline-block;
    background-color: navy;
    font-family: 'Century Gothic', 'Optima',  sans-serif;
    font-size: 0.75em;
    padding: 2px 4px;
    color: white;
    opacity: 1;
    text-decoration: none;
    margin-left: 5px;
    box-sizing: border-box;
}

.button:hover{
    color: rgb(249, 85, 0);
    cursor:pointer;
    border-bottom: 1px solid rgb(249,85,0);
    font-weight: bold;

}
.button:active{
    transform: scale(0.9);
}
.sideButton{
    display: block;
    background-color: navy;
    color: white;
    font-family: sans-serif;

}

/*************************
*       Tooltip setup
**************************/
.tooltip{
    position: relative;
}

.tooltip:hover::before{
    content:attr(data-tooltip);
    position: absolute;
    display: block;
    bottom: 30px;
    background: linear-gradient(rgba(0,0,255,0.7), rgba(0,0,0,0.7));
    color: white;
    padding: 3px;
    border-radius: 10px;
    pointer-events: none;
}
.tooltip:hover::after{
    display: block;
    position: absolute;
    content: "";
    width: 0px;
    height: 0px;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid rgba(0,0,0,0.8);
    bottom: 20px;
    left: 10px;
    pointer-events: none;


}
/************************
*       Check Hack
************************/

.checkHack{
    position: fixed;
    top: -100px;
    left: -100px;
}
.checkHack:checked + div{
    opacity: 1;
    pointer-events: all;
}
.cover{
    position: fixed;
    top:0px;
    bottom:0px;
    left:0px;
    right:0px;
    background-color: rgba(0,0,0,0.7);
    opacity: 0;
    pointer-events: none;
    display: flex;
    align-items: center;


}
.coverForm{
    position: relative;
    width: -webkit-fit-content;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    background-color: bisque;
    padding: 5px 25px;
    box-shadow: 2px 2px rgba(188, 73, 0, 0.8);

}
.closeCover{
    position: absolute;
    top: -5px;
    right: -5px;

}
.submit{
    margin-left: auto;
    margin-right: auto;
    display: block;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    font-size: 1.5em;
}
.coverForm input{
    flex: 1;
    margin: 5px;
}
#tabList{
    background-color: navy;
    position: relative;

}
#headerLabel{
    color:rgb(249, 85, 0);
    display: inline-block;
    text-align: center;
    font-weight: bold;
    margin: 0px auto;
    padding: 0px;

}
.tab{
    display: inline-block;
    padding: 2px 5px;
    color: navy;
    background-color: lightgrey;
    border-top-right-radius: 10px;
    margin: -2px;
    border: 1px solid navy;

}
.tab:hover{
    background-color: darkkhaki;
    cursor: pointer;
}
.selectedTab{
    color: navy;
    background-color: khaki;
    border: 1px solid grey;
    border-bottom: none;
}
.mainSection{
    min-width: 500px;
    background-color: white;
    margin: 5px 5px 5px 0px;
    padding-bottom: 5px;
    flex: 1;
    display: none;
    position: relative;
    height: calc(100vh - 175px);
    overflow-y: scroll;
}
#progress{

    width: 360px;
    background-color: white;
    border:0px;
    padding: 5px;
    margin: 5px 0px;
    overflow-y: scroll;
    height: calc(100vh - 180px);
}
#progress .notComplete::after, #progress .complete::after{
    top: 0px;
    left: unset;
    right: 20px;
}

#progress table{
    border-collapse: collapse;
    border: 1px solid navy;
    width: 100%

}
#progress table th{
    min-width: 100px;
}
#progress table tr:nth-child(even){
    background-color: lightsteelblue;
}
#progress h3{
    display: inline-block;

}
#progress h1, #progress h2, #progress h3, #progress h4{
    margin: 5px 0px;
}
.course{
    display: block;
    position: static;
    padding: 5px;
    font-family: sans-serif;
    width: 250px;
    box-sizing: border-box;

}
.cDesc{
    position: fixed;
    bottom: 20px;
    left: 300px;
    min-width: 250px;
    max-width: 550px;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s;
    padding: 5px;
    background-color: lightsteelblue;
    box-shadow: 2px 2px 4px grey;
    font-family: 'Book Antiqua', serif;


}

.course:hover{
    cursor: pointer;
    background-color: lightsteelblue;
}
.course:hover > .cDesc{
    opacity: 1;
}
.course:active{
    cursor: -webkit-grabbing;
    cursor: -moz-grabbing;
    cursor: grabbing;
}
.course:active{
    cursor: -webkit-grabbing;
    cursor: -moz-grabbing;
    cursor: grabbing;
}
.selectedCourseTable td{
    position: relative;
    padding-right: 10px;

}
.selectedCourseTable td .button{
    position: absolute;
    right: 0px;
    color: black;
    top: 0px;
    background-color: grey;
    border-radius: 10px;
    opacity: 0;
    transition: all 0.2s;
}
.selectedCourseTable td:hover .button{
    opacity: 1;
}
.selectedCourseTable th{
    text-align: left;
}
.moveButton{
    margin-left: 2px;
    width: 20px;
    border-radius: 20px;
    box-sizing: border-box;
    transition: all 0.1s;
    position: relative;
    top: 3px;

}
.moveButton:hover{
    border: 1px solid navy;

}
.moveButton:active{
    transform: scale(0.85);


}

.required::after{
    content: "*";
    color: red;
    font-size: 1.2em;

}
.complete{
    position: relative;
    overflow: visible;
}
.complete::after{
    content: "";
    display: block;
    background: url("https://mclainonline.com/adam/Forecasting/images/greenCheck.png");
    background-size: cover;
    width: 20px;
    height: 20px;
    position: absolute;
    left: 40px;
    top: -20px;
}
.notComplete{
    position: relative;
    overflow: visible;
}
.notComplete::after{
    content: "";
    display: block;
    background: url('https://mclainonline.com/adam/Forecasting/images/questionCircle.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: 20px;
    height: 20px;
    position: absolute;
    left: 40px;
    top: -20px;

}
#submit{
    font-weight: normal;
    font-style: italic;

}
#submit:first-letter{
    font-family: cursive;
    font-size: 1.5em;
    font-weight: bold;
}
#submitButton{
    border: 0px solid rgb(249,85,0);
    background-color: navy;
    color: white;
    font-size: 1.5em;
    -webkit-animation: myMove 1s ease-in-out;
    animation: myMove 1s;
    box-sizing: border-box;
}
#submitButton:hover{
    color: rgb(249,85,0);
    border-bottom: 3px solid rgb(249,85,0)
}
#submitPlaceHolder{
    text-align: center;
}
.waiting{
    pointer-events: none;
    -webkit-animation: waiting 0.3s infinite;
    animation: waiting 0.3s infinite;
}
#WelcomeInstructions{
    width: 50%;
    margin-left: auto;
    margin-right: auto;

}
#welcomeinstructions .button{
    text-align: center;
}
.questionText{
    display:inline-block;
    width: 50%;
    margin: 5px;
    padding: 5px;

}
/* Refresh Button Styling */
@-webkit-keyframes refresh{
    from {transform:rotate(0deg);}
    to {transform:rotate(360deg);}
}
@keyframes refresh
{
    from {transform:rotate(0deg);}
    to {transform:rotate(360deg);}
}
#refreshButton{

    display: inline-block;
    cursor: pointer;

}
#refreshButton:hover{
    transform:scale(1.05);
}
#refreshButton:active{
    transform:scale(0.95);
}
.rotating {

    -webkit-animation: refresh 1s infinite;
    animation: refresh 1s infinite;
}
.disabled{
    background-color: grey;
    pointer-events: none;
    width: 0px;
    height: 0px;
    opacity: 0;
    overflow: none;
    margin: 0px;
    position: fixed;
    
}

/* End Refresh Button Styling */